﻿using System;
using System.Data;
using System.Drawing;
using Infragistics.UltraChart.Shared.Styles;

namespace AjaxUpdater.Views.Home
{
    public partial class Change : System.Web.Mvc.ViewPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Properties();
            ultraChartId.DataSource = PieData2();
            ultraChartId.DataBind();
        }

        private void Properties()
        {
            ultraChartId.ChartType = ChartType.PieChart;
            ultraChartId.PieChart.ColumnIndex = -1;
            ultraChartId.PieChart.RadiusFactor = 80;
            ultraChartId.ColorModel.AlphaLevel = 125;
            ultraChartId.ColorModel.Grayscale = false;
            ultraChartId.Tooltips.FormatString = "<ITEM_LABEL>: <DATA_VALUE:n0>";
            ultraChartId.PieChart.OthersCategoryPercent = 0;
            ultraChartId.PieChart.Labels.Font = new Font("verdana", 9);
            ultraChartId.ColorModel.ModelStyle = ColorModels.CustomLinear;
            ultraChartId.DeploymentScenario.RenderingType = RenderingType.Image;
            ultraChartId.DeploymentScenario.Scenario = ImageDeploymentScenario.FileSystem;
            ultraChartId.DeploymentScenario.FilePath = "/Content/ChartImages";
            ultraChartId.DeploymentScenario.ImageURL = "/Content/ChartImages/Chart_{1}#SEQNUM(100).png";
        }

        private static DataTable PieData2()
        {
            var dt = new DataTable("PieData");
            dt.Columns.Add("Item", typeof(string));
            dt.Columns.Add("Data", typeof(double));

            dt.Rows.Add("PieData2_1", 5);
            dt.Rows.Add("PieData2_2", 20);
            dt.Rows.Add("PieData2_3", 30);
            dt.Rows.Add("PieData2_4", 9);
            dt.Rows.Add("PieData2_5", 36);

            return dt;
        }
    }
}
