﻿using System;
using System.Data;
using System.Drawing;
using Infragistics.UltraChart.Shared.Styles;

namespace AjaxUpdater.Views.Home
{
    public partial class UltraChart : System.Web.Mvc.ViewPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Properties();
            ultraChartId.DataSource = PieData1();
            ultraChartId.DataBind();
        }

        private void Properties()
        {
            ultraChartId.ChartType = ChartType.PieChart;
            ultraChartId.PieChart.ColumnIndex = -1;
            ultraChartId.PieChart.RadiusFactor = 80;
            ultraChartId.ColorModel.AlphaLevel = 125;
            ultraChartId.ColorModel.Grayscale = false;
            ultraChartId.Tooltips.FormatString = "<ITEM_LABEL>: <DATA_VALUE:n0>";
            ultraChartId.PieChart.OthersCategoryPercent = 0;
            ultraChartId.PieChart.Labels.Font = new Font("verdana", 9);
            ultraChartId.ColorModel.ModelStyle = ColorModels.CustomLinear;
            ultraChartId.DeploymentScenario.RenderingType = RenderingType.Image;
            ultraChartId.DeploymentScenario.Scenario = ImageDeploymentScenario.FileSystem;
            ultraChartId.DeploymentScenario.FilePath = "/Content/ChartImages";
            ultraChartId.DeploymentScenario.ImageURL = "/Content/ChartImages/Chart_{1}#SEQNUM(100).png";            
        }

        private static DataTable PieData1()
        {
            var dt = new DataTable("PieData");
            dt.Columns.Add("Item", typeof(string));
            dt.Columns.Add("Data", typeof(double));

            dt.Rows.Add("PieData1_1", 10);
            dt.Rows.Add("PieData1_2", 15);
            dt.Rows.Add("PieData1_3", 25);
            dt.Rows.Add("PieData1_4", 30);
            dt.Rows.Add("PieData1_5", 20);

            return dt;
        }
    }
}
